unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
* [PATCH 1/2] test/dump-restore: new tests for empty files and leading comments/whitespace.
@ 2012-12-26 19:36 david
  2012-12-26 19:36 ` [PATCH 2/2] notmuch-restore: handle empty input file, leading blank lines and comments david
  2013-01-07  2:53 ` [PATCH 1/2] test/dump-restore: new tests for empty files and leading comments/whitespace David Bremner
  0 siblings, 2 replies; 6+ messages in thread
From: david @ 2012-12-26 19:36 UTC (permalink / raw)
  To: notmuch; +Cc: David Bremner

From: David Bremner <bremner@debian.org>

Three of these are marked broken; the third is a regression test,
since it passes by virtue of batch-tag being the default input format.
---
 test/dump-restore |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/test/dump-restore b/test/dump-restore
index 6a989b6..c2ddb92 100755
--- a/test/dump-restore
+++ b/test/dump-restore
@@ -136,6 +136,48 @@ notmuch dump --format=batch-tag > BACKUP
 
 notmuch tag +"$tag1" +"$tag2" +"$tag3" -inbox -unread "*"
 
+# initial segment of file used for several tests below.
+cat <<EOF > comments-and-blanks
+# this is a comment
+
+# next line has leading whitespace
+  	
+
+EOF
+
+test_begin_subtest 'restoring empty file is not an error'
+test_subtest_known_broken
+notmuch restore < /dev/null 2>OUTPUT.$test_count
+cp /dev/null EXPECTED
+test_expect_equal_file EXPECTED OUTPUT.$test_count
+
+test_begin_subtest 'file of comments and blank lines is not an error'
+test_subtest_known_broken
+notmuch restore --input=comments-and-blanks
+ret_val=$?
+test_expect_equal "$ret_val" "0"
+
+cp comments-and-blanks leading-comments-blanks-batch-tag
+echo "+some_tag -- id:yun1vjwegii.fsf@aiko.keithp.com" \
+    >> leading-comments-blanks-batch-tag
+
+test_begin_subtest 'detect format=batch-tag with leading comments and blanks'
+notmuch restore --input=leading-comments-blanks-batch-tag
+notmuch search --output=tags id:yun1vjwegii.fsf@aiko.keithp.com > OUTPUT.$test_count
+echo "some_tag" > EXPECTED
+test_expect_equal_file EXPECTED OUTPUT.$test_count
+
+cp comments-and-blanks leading-comments-blanks-sup
+echo "yun1vjwegii.fsf@aiko.keithp.com (another_tag)" \
+    >> leading-comments-blanks-sup
+
+test_begin_subtest 'detect format=sup with leading comments and blanks'
+test_subtest_known_broken
+notmuch restore --input=leading-comments-blanks-sup
+notmuch search --output=tags id:yun1vjwegii.fsf@aiko.keithp.com > OUTPUT.$test_count
+echo "another_tag" > EXPECTED
+test_expect_equal_file EXPECTED OUTPUT.$test_count
+
 test_begin_subtest 'format=batch-tag, round trip with strange tags'
 notmuch dump --format=batch-tag > EXPECTED.$test_count
 notmuch dump --format=batch-tag | notmuch restore --format=batch-tag
-- 
1.7.10.4

^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2013-01-07  2:53 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-12-26 19:36 [PATCH 1/2] test/dump-restore: new tests for empty files and leading comments/whitespace david
2012-12-26 19:36 ` [PATCH 2/2] notmuch-restore: handle empty input file, leading blank lines and comments david
2013-01-05 22:11   ` Tomi Ollila
2013-01-06 14:04     ` [Patch v2] " david
2013-01-06 15:28       ` Tomi Ollila
2013-01-07  2:53 ` [PATCH 1/2] test/dump-restore: new tests for empty files and leading comments/whitespace David Bremner

Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).